/*
 * @file Member ID Definition of Group URLBLOCK.
 *
 * Moderator: JasonJiang
 * Group ID: 0x00100000/0x80100000
 */

#ifndef _CSID_URLBLOCK_H
#define _CSID_URLBLOCK_H

#include "csid_gid.h"

#define _CFG_URLBLOCK(x)                (CSID_GIDC_URLBLOCK|(x))
#define _STA_URLBLOCK(x)                (CSID_GIDS_URLBLOCK|(x))

//URL Blocking
#define CSID_C_URLBLOCK_ENABLE          _CFG_URLBLOCK(0x0001)  //T=u8, URL-Blocking enable, 1:yes 0:no
#define CSID_C_URLBLOCK_REDIRECT        _CFG_URLBLOCK(0x0002)  //T=u8, enable/disable redirect the connection, 1:yes 0:no
#define CSID_C_URLBLOCK_SELECT_LIST     _CFG_URLBLOCK(0x0003)  //T=u8, select black/white list, 1:white list 0:black list

#define CSID_C_URLBLOCK_RULE_URL        _CFG_URLBLOCK(0x1000)  //T=str, URL String
#define CSID_C_URLBLOCK_RULE_ENABLE     _CFG_URLBLOCK(0x2000)  //T=u8, rule enable, 1:yes 0:no
#define CSID_C_URLBLOCK_RULE_SCHE_NO    _CFG_URLBLOCK(0x3000)   //T=u16, number of using rule

/* Status Items */

#define CSID_S_URLBLOCK_ALTERED			_STA_URLBLOCK(0x0001)	//T=u8, ui altered

#endif //ifndef _CSID_URLBLOCK_H
